Get Connect Profile
Retrieves information of a specified connect profile.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/connect-profiles/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/connect-profiles/b7f00412-8720-4a8f-ac35-7d7f359f797e
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Connect profile GUID |
Success Response
{
"profile": {
"guid": "b7f00412-8720-4a8f-ac35-7d7f359f797e",
"code": "build",
"name": "Build SSH",
"type": "ssh",
"description": "",
"company_guid": "6fbe27b7-f1ae-4d7a-a1a5-76d8fa9aa311",
"company_name": "Logpresso",
"configs": {
"password": "",
"port": 22,
"host": "build",
"server_alive_interval": null,
"user": "logpresso",
"timeout": 30
},
"config_description": "Host: build, Port: 22, User: gildong, Auth Method: Password, Timeout: 30 secs",
"factory_display_name": "SSH",
"created": "2022-09-01 00:39:35+0900",
"updated": "2022-09-01 00:39:35+0900",
"grant_users": [
{
"type": "USER",
"guid": "bfd00bb0-be99-4fd5-8380-166f544975fa",
"name": "Joshua",
"read_only": true,
"created": "2022-09-02 19:38:21+0900"
}
],
"grant_groups": [
{
"type": "USER",
"guid": "28c1251b-2f7c-4c58-95a1-fc4a1ead877e",
"name": "dev",
"read_only": true,
"created": "2022-09-02 19:38:21+0900"
}
],
"protected_keys": ["password"]
}
}
- profile (Map): Specified connect profile
- guid (String): Connect profile GUID
- code (String): Code for query. Unique name among same connect profile type.
- name (String): Display name of the connect profile
- type (String): Connect profile type
- description (String): Connect profile description
- company_guid (String): GUID of the company to which the connect profile belongs
- company_name (String): Name of the company to which the connect profile belongs
- configs (Map): Connect profile Key/value pairs. Protected options, like
password, do not return the original value, but rather an empty string indicating that they are set. - config_description (String): Connect profile option summary. Key information to identify a specific connect profile in the list.
- factory_display_name (String): Display name of the connect profile. For example, the
jdbctype returnsdatabasein Korean. - created (String): Date and time of creation (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Date and time of last modification (
yyyy-MM-dd HH:mm:ssZ) - grant_users (Array): List of users with privileges for the connect profile
- type (String): Common object type. Always
USER. - guid (String): User GUID
- name (String): User name
- read_only (Boolean): Whether read-only or not. Always
false. - created (String): Date and time when privilege mappings are generated
- type (String): Common object type. Always
- grant_groups (Array): List of user groups with privileges for the connect profile
- type (String): Common object type. Always
USER. - guid (String): User group identifier
- name (String): User group name
- read_only (Boolean): Whether read-only or not. Always
false. - created (String): Date and time when privilege mappings are generated
- type (String): Common object type. Always
- protected_keys (Array): List of the protected option key names. For example, the
passwordsetting is not returned because it is protected.
Error Responses
Identifier is not in valid GUID format
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Connect profile does not exist
{
"profile": null
}